oracle.dbtools.plugin.api.install

## Class InstallationOptions.Builder

- java.lang.Object
- - oracle.dbtools.plugin.api.install.InstallationOptions.Builder

- Enclosing class:
    InstallationOptions

      public static class InstallationOptions.Builder
      extends Object

  Builds `InstallationOptions` instances

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InstallationOptions` | `build()` Build the `InstallationOptions` instance
    `InstallationOptions.Builder` | `option(String name, Translatable description)`
    `InstallationOptions.Builder` | `option(String name, Translatable description, boolean secure)`
    `InstallationOptions.Builder` | `option(String name, Translatable description, boolean secure, Class<?> type)`
    `InstallationOptions.Builder` | `option(String name, Translatable description, Class<?> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### build

          public InstallationOptions build()

      Build the `InstallationOptions` instance
      Returns:
        `InstallationOptions` instance

    - #### option

          public InstallationOptions.Builder option(String name,
                                                    Translatable description)

    - #### option

          public InstallationOptions.Builder option(String name,
                                                    Translatable description,
                                                    boolean secure)

    - #### option

          public InstallationOptions.Builder option(String name,
                                                    Translatable description,
                                                    Class<?> type)

    - #### option

          public InstallationOptions.Builder option(String name,
                                                    Translatable description,
                                                    boolean secure,
                                                    Class<?> type)

Copyright © 2010, 2022, Oracle and/or its affiliates.